## org.apache.myfaces.taglib.html
Class HtmlInputTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlInputCalendarTag, HtmlInputFileUploadTag, HtmlInputHiddenTagBase, HtmlInputSecretTagBase, HtmlInputTextareaTagBase, HtmlInputTextTagBase, HtmlSelectBooleanCheckboxTagBase, HtmlSelectListboxTagBase, HtmlSelectManyCheckboxTagBase, HtmlSelectMenuTagBase, HtmlSelectOneRadioTagBase

public abstract class HtmlInputTagBase
extends HtmlComponentTagBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlInputTagBase()`

Method Summary
`void` `release()`
`void` `setImmediate(java.lang.String immediate)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setReadonly(java.lang.String _readonly)`
`void` `setRequired(java.lang.String required)`
`void` `setValidator(java.lang.String validator)`
`void` `setValueChangeListener(java.lang.String valueChangeListener)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlInputTagBase

    public HtmlInputTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentTagBase`

### setImmediate

    public void setImmediate(java.lang.String immediate)

### setRequired

    public void setRequired(java.lang.String required)

### setValidator

    public void setValidator(java.lang.String validator)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String valueChangeListener)

### setReadonly

    public void setReadonly(java.lang.String _readonly)